@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.Tooltip {
  &,
  .target {
    position: relative;
  }

  /* Tooltip text */
  .content {
    visibility: hidden;
    padding: 5px;
    border-radius: 2px;

    /* Position the tooltip text - see examples below! */
    position: absolute;
    z-index: 1;

    &-visible {
      visibility: visible;
    }

    &::after {
      content: " ";
      position: absolute;
      border-width: 10px;
      border-style: solid;
    }

    &-top {
      left: 0;
      bottom: calc(100% + 14px);
      transform: translateX(-10%);
    }

    &-top::after {
      left: 15%;
      top: 100%;
    }

    &-right {
      left: calc(100% + 14px);
      top: 0;
      transform: translateY(-20%);
    }

    &-right::after {
      top: 20%;
      right: 100%;
    }

    &-bottom {
      left: 0;
      top: calc(100% + 14px);
      transform: translateX(-10%);
    }

    &-bottom::after {
      left: 15%;
      bottom: 100%;
    }

    &-left {
      right: calc(100% + 14px);
      top: 0;
      transform: translateY(-20%);
    }

    &-left::after {
      top: 20%;
      left: 100%;
    }
  }

  /* Show the tooltip text when you mouse over the tooltip container */
  .target {
    &-default:hover + .content {
      visibility: visible;
    }
  }
}

@include themify("Tooltip", $themes) {
  $background: themed("tooltip-background");

  font-family: themed("font-family");

  .content {
    background-color: $background;
    color: themed("tooltip-text");

    &-top::after {
      border-color: $background transparent transparent transparent;
    }

    &-right::after {
      border-color: transparent $background transparent transparent;
    }

    &-bottom::after {
      border-color: transparent transparent $background transparent;
    }

    &-left::after {
      border-color: transparent transparent transparent $background;
    }
  }
}
